import request from '@/utils/request'

// 查询车辆信息列表
export function listVehicle_info(query) {
  return request({
    url: '/system/vehicle_info/list',
    method: 'get',
    params: query
  })
}

// 查询车辆信息详细
export function getVehicle_info(vehicleId) {
  return request({
    url: '/system/vehicle_info/' + vehicleId,
    method: 'get'
  })
}

// 新增车辆信息
export function addVehicle_info(data) {
  return request({
    url: '/system/vehicle_info',
    method: 'post',
    data: data
  })
}

// 修改车辆信息
export function updateVehicle_info(data) {
  return request({
    url: '/system/vehicle_info',
    method: 'put',
    data: data
  })
}

// 删除车辆信息
export function delVehicle_info(vehicleId) {
  return request({
    url: '/system/vehicle_info/' + vehicleId,
    method: 'delete'
  })
}
